<?php
/**
 * This is the template that displays a single comment
 *
 * This file is not meant to be called directly.
 *
 * b2evolution - {@link http://b2evolution.net/}
 * Released under GNU GPL License - {@link http://b2evolution.net/about/license.html}
 * @copyright (c)2003-2012 by Francois Planque - {@link http://fplanque.com/}
 *
 * @package evoskins
 */
if( !defined('EVO_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

global $comment_template_counter;

if( ! isset( $comment_template_counter ) )
{
	$comment_template_counter = 0;
}

// Default params:
$params = array_merge( array(
		'comment_block_start'  => '',
		'comment_start'        => '<div class="bComment">',
		'comment_end'          => '</div>',
		'comment_block_end'    => '',
		'link_to'              => 'userurl>userpage', // 'userpage' or 'userurl' or 'userurl>userpage' or 'userpage>userurl'
		'author_link_text'     => 'avatar',
		'before_image'         => '<div class="image_block">',
		'before_image_legend'  => '<div class="image_legend">',
		'after_image_legend'   => '</div>',
		'after_image'          => '</div>',
		'image_size'           => 'fit-400x320',
		'Comment'              => NULL, // This object MUST be passed as a param!
	), $params );

/**
 * @var Comment
 */
$Comment = & $params['Comment'];

$comment_class = ( $comment_template_counter % 2 == 0 ) ? ' class="odd"' : '';
?>
<!-- ========== START of a COMMENT/TB/PB ========== -->
<?php echo $params['comment_block_start'];
	if( $disp == 'comments' )
	{ // We are displaying a comment in the Latest comments page, we want to show what post/topic it relates to:
	?>
	<tr class="separator">
		<td colspan="2" class="InResponseTo"><h3>
				<?php echo T_('In response to:');
					$Comment->permanent_link( array(
							'text' => $Comment->Item->dget( 'title' ),
						) );
				?>
			</h3></td>
	</tr>
	<?php
	}
	?>
	<tr valign="top"<?php echo $comment_class; ?>>
	<td><?php
		$Comment->author2( array(
				'before'       => ' ',
				'after'        => '',
				'before_user'  => '',
				'after_user'   => '',
				'format'       => 'htmlbody',
				'link_to'      => $params['link_to'],		// 'userpage' or 'userurl' or 'userurl>userpage' or 'userpage>userurl'
				'link_text'    => $params['author_link_text'],
				'thumb_size'   => 'crop-top-80x80',
				'thumb_class'  => 'avatar_above_login',
			) );
	?></td>
	<td class="left" valign="top">
		<?php
		$Comment->anchor();
		$post_header_class = 'bPostDate';
		if( $Skin->enabled_status_banner( $Comment->status ) )
		{
			$Comment->status( 'styled' );
			$post_header_class .= ' '.$Comment->status;
		}
		?>
		<div class="<?php echo $post_header_class; ?>">
			<a href="<?php echo $Comment->get_permanent_url() ?>"><img src="img/icon_minipost.gif" width="12" height="9" alt="Post" title="Post" /></a>
			<?php
				if( $Skin->get_setting( 'display_post_date') )
				{	// We want to display the post date:
					echo T_('Posted: ');
					$Comment->date( 'D M j, Y H:i' );
				}
				$Comment->rating( array(
						'before' => '<div class="floatright">',
						'after'  => '</div>',
					) );
			?>
		</div>
		<?php echo $params['comment_start']; ?>

		<?php $Comment->content( 'htmlbody', false, true, $params ); ?>

		<?php echo $params['comment_end']; ?>
	</td>
</tr>
<tr<?php echo $comment_class; ?>>
	<td class="left"><a href="<?php
		if( $disp == 'comments' )
		{	// We are displaying a comment in the Latest comments page:
			echo $Blog->get('lastcommentsurl');
		}
		else
		{	// We are displaying a comment under a post/topic:
			echo $Item->get_permanent_url();
		}
		?>#skin_wrapper" class="postlink"><?php echo T_('Back to top'); ?></a></td>
	<td class="left">
	<?php
		if( $User = $Comment->get_author_User() )
		{
			$user_profile_url = get_user_identity_url( $User->ID );
			if( !empty( $user_profile_url ) )
			{
	?>
		<a href="<?php echo $user_profile_url; ?>"><img src="img/icon_profile.gif" alt="<?php echo T_('View user\'s profile'); ?>" title="<?php echo T_('View user\'s profile'); ?>" /></a>
	<?php
			}
			$redirect_to = url_add_param( $Blog->gen_blogurl(), 'disp=msgform&recipient_id='.$User->ID, '&' );
			$msgform_url = $User->get_msgform_url( $Blog->get('msgformurl'), $redirect_to );
			if( !empty($msgform_url) )
			{	// Display link to send a private message
	?>
		<a href="<?php echo $msgform_url; ?>"><img src="img/icon_pm.gif" alt="<?php echo T_('Send private message'); ?>" title="<?php echo T_('Send private message'); ?>" /></a>
	<?php
			}
			$user_website_url = $User->get_field_url( true );
			if( !empty( $user_website_url ) )
			{	// Display link to goto user's website
	?>
		<a href="<?php echo $user_website_url; ?>" rel="nofollow"><img src="img/icon_www.gif" alt="<?php echo T_('Visit poster\'s website'); ?>" title="<?php echo T_('Visit poster\'s website'); ?>" /></a>
	<?php
			}
		}

		echo '<div class="floatright" style="padding-top:2px">';

		echo '<div class="floatright" style="margin:-3px 0 0 4px">';
		$commented_Item = & $Comment->get_Item();
		if( $commented_Item && $commented_Item->can_comment( NULL ) )
		{	// Display button to quote this comment
			echo '<a href="'.$commented_Item->get_permanent_url().'?mode=quote&amp;qc='.$Comment->ID.'#form_p'.$commented_Item->ID.'"><img src="img/icon_quote.gif" alt="'.T_('Reply with quote').'" /></a>';
		}
		$comment_redirect_url = rawurlencode( $Comment->get_permanent_url() );
		$Comment->edit_link( ' ', '', '<img src="img/icon_edit.gif" alt="'.T_('Edit this post').'" />', T_('Edit this post'), '', '&amp;', true, $comment_redirect_url ); /* Link to backoffice for editing */
		echo '<div class="moderator_links">';
		$displayed = $Comment->raise_link( array( 'class' => 'roundbutton_left roundbutton_text', 'redirect_to' => $comment_redirect_url ) );
		$button_class = $displayed ? 'roundbutton_middle' : 'roundbutton_left';
		$displayed = $Comment->lower_link( array( 'class' => $button_class.' roundbutton_text', 'redirect_to' => $comment_redirect_url ) ) || $displayed;
		$button_class = $displayed ? 'roundbutton_right' : 'roundbutton';
		$Comment->delete_link( '', '', '#', T_('Delete this reply'), $button_class.' roundbutton_text', false, '&amp;', true, false, '#', rawurlencode( $commented_Item->get_permanent_url() ) ); /* Link to backoffice for deleting */
		echo '</div>';
		echo '</div>';

		$Comment->vote_helpful( '', '', '&amp;', true, true, array(
				'helpful_text'    => T_('Is this reply helpful?'),
				'title_yes'       => T_('Mark this reply as helpful!'),
				'title_yes_voted' => T_('You think this reply is helpful'),
				'title_no'        => T_('Mark this reply as not helpful!'),
				'title_no_voted'  => T_('You think this reply is not helpful')
			) );

		echo '</div>';
	?>
	</td>
</tr>
<tr class="separator">
	<td colspan="2"><?php echo get_icon( 'pixel' ); ?></td>
</tr>
<?php echo $params['comment_block_end']; ?>
<!-- ========== END of a COMMENT/TB/PB ========== -->
<?php

$comment_template_counter++;
?>