<?php
/**
 * This is the HTML template of email message for notify post
 *
 * This file is not meant to be called directly.
 * It is meant to be called by an include in the main.page.php template.
 *
 * b2evolution - {@link http://b2evolution.net/}
 * Released under GNU GPL License - {@link http://b2evolution.net/about/license.html}
 * @copyright (c)2003-2012 by Francois Planque - {@link http://fplanque.com/}
 *
 * @package evoskins
 *
 * {@internal Below is a list of authors who have contributed to design/coding of this file: }}
 * @author fplanque: Francois PLANQUE.
 *
 * @version $Id: notify_post.html.php 849 2012-02-16 09:09:09Z yura $
 */
if( !defined('EVO_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

global $admin_url, $baseurl, $htsrv_url;

// Default params:
$params = array_merge( array(
		'locale'      => '',
		'notify_full' => '',
		'Item'        => NULL,
	), $params );


$Item = $params['Item'];
$Blog = & $Item->get_Blog();

locale_temp_switch( $params['locale'] );

echo T_( 'Hello $login$ !' ).'<br /><br />';

if( $params['notify_full'] )
{	/* Full notification */
	echo T_('Blog').': '.$Blog->get('shortname').' ( '.get_link_tag( str_replace( '&amp;', '&', $Blog->gen_blogurl() ) ).' )'.'<br />';

	echo T_('Author').': '.$Item->creator_User->get('preferredname').' ('.$Item->creator_User->get('login').")<br />";

	echo T_('Title').': '.$Item->get('title').'<br />';

	// linked URL or "-" if empty:
	echo T_('Url').': '.( empty( $Item->url ) ? '-' : get_link_tag( str_replace( '&amp;', '&', $Item->get('url') ) ) ).'<br />';

	echo T_('Content').': ';
	// TODO: We MAY want to force a short URL and avoid it to wrap on a new line in the mail which may prevent people from clicking
	// TODO: might get moved onto a single line, at the end of the content..
	echo get_link_tag( str_replace( '&amp;', '&', $Item->get_permanent_url() ) ).'<br /><br />';

	echo $Item->get('content').'<br />';
	
	echo T_('Edit/Delete').': '.get_link_tag( $admin_url.'?ctrl=items&blog='.$Item->get_blog_ID().'&p='.$Item->ID ).'<br />';
}
else
{	/* Short notification */
	echo sprintf( T_( '%s created a new post on "%s" with title "%s".' ), $Item->creator_User->get( 'login' ), $Blog->get('shortname'), $Item->get('title') );
	echo '<br /><br />';
	echo T_( 'To read the full content of the post click here:' ).' ';
	echo get_link_tag( str_replace( '&amp;', '&', $Item->get_permanent_url() ) );
	echo '<br />';
}

// Footer:
echo '<br />-- <br />';
echo sprintf( T_( 'This message was automatically generated by b2evolution running on %s.' ), get_link_tag( $baseurl ) ).'<br />';
echo T_( 'Please do not reply to this email.' ).'<br />';
echo T_( 'You are receiving notifications when new post is published on this blog.' ).'<br />';
echo T_( 'To edit your subscriptions/notifications, click here').': '.get_link_tag( str_replace('&amp;', '&', $Blog->get('subsurl') ) ).'<br />';
echo T_( 'If you don\'t want to receive any more notifications about new posts on this blog, click here' ).': '
					.$htsrv_url.'quick_unsubscribe.php?type=coll_post&user_ID=$user_ID$&coll_ID='.$Blog->ID.'&key=$unsubscribe_key$';
echo '<br />';
echo T_( 'Your login is: $login$' );

locale_restore_previous();
?>